;=================================================
;   program invertct
;   F. Heitsch, Jun 1999
;=================================================

pro invertct,whichindex,whatvalue,debug=debug

  print,'INVERTCT: called'

  if keyword_set(debug) then begin
    print,'INVERTCT: color table size = ', !D.TABLE_SIZE
  endif
  maxcolor = !D.TABLE_SIZE

  red   = intarr(maxcolor)
  green = intarr(maxcolor)
  blue  = intarr(maxcolor)

  tvlct,red,green,blue,/get

  if keyword_set(debug) then begin
    print,'INVERTCT: max(red) =   ',max(red)
    print,'INVERTCT: max(green) = ',max(green)
    print,'INVERTCT: max(blue) =  ',max(blue)
  endif

  if (whichindex gt maxcolor) then whichindex=maxcolor-1

  red               = max(red)-red
  green             = max(green)-green
  blue              = max(blue)-blue
  red(whichindex)   = whatvalue
  green(whichindex) = whatvalue
  blue(whichindex)  = whatvalue
  tvlct,red,green,blue

  print,'INVERTCT: finished'
end


